Subject: Re: TEMAC MAC address

From: "David H. Lynch Jr." <[email-masked]>
Date: Thu, 12 Jul 2007 23:57:19 -0400

Grant Likely wrote:
> On 7/11/07, Kevin Holland <[email-masked]> wrote:
>   
>> Grant,
>>  How do I set the MAC address?
>>     
>
> Badly, with an ugly hack.  :-)
>
>   
>> When my ML410 board boots its Hardware
>> address is set to 0.  I looked through the message boards and can't seem
>> to find what Im looking for.  Thanks for your help.
>>     
>
> I set the mac addr with some Virtex specific code in
> arch/ppc/boot/simple/embed_config.c.
>
> BTW, Please at least CC: the mailing list when asking questions.
>   

Pico cards pass the MAC address to linux via the board info struct -
doesn't uboot etc.
have a similar facility ?

Pico registered a block of MAC addresses, uses them as card serial
numbers and passes them via
board info.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein